1 (edited by jukazu_ithr 2011-06-17 22:46:17)

Topic: Upgrade from 1 version to latest - do i have to increment upgrade?

Hi
i was wondering if the upgrade procedure is such that when you upgrade from older version to latest, the binaries/config files inside the new version takes care of multiple upgrade jumps.

so i want to upgrade from 1.2.0 to 1.6.0 -> do i have to increment back to 1.3.0 then to 1.4.0 then to and so on.
from the wiki, it SEEMS all the changes are settings.ini file after install of the binary.

say i install 1.6.0 version from 1.2.0 - do i need to make the changes mentioned in 1.3.0,1.4.0,1.4.1,1.5.0 as well as 1.6.0 in my settings.ini file OR does the 1.6.0 settings.ini file have those changes from 1.3.0,1.4.0,1.4.1 and 1.5.0 ?

2

Re: Upgrade from 1 version to latest - do i have to increment upgrade?

You can upgrade v1.2.0 to 1.3.0 first, then from 1.3.0 to the latest 1.6.0 directly:
It's mentioned in Release Notes of iRedAdmin-Pro-LDAP-1.6.0:
http://iredmail.org/wiki/index.php?titl … LDAP/1.6.0

Upgrade:
- You can upgrade iRedAdmin-Pro-LDAP v1.4.0, v1.4.1, v1.5.0 to 1.6.0 directly with this tutorial: Upgrade iRedAdmin-Pro-LDAP-1.5.0 to 1.6.0
- You can upgrade iRedAdmin-Pro-LDAP-1.3.0 to 1.6.0 directly with this tutorial: Upgrade iRedAdmin-Pro-LDAP-1.3.0 to 1.4.0, just replace version number '1.4.0' with '1.6.0'.

3

Re: Upgrade from 1 version to latest - do i have to increment upgrade?

ZhangHuangbin wrote:

You can upgrade v1.2.0 to 1.3.0 first, then from 1.3.0 to the latest 1.6.0 directly:
It's mentioned in Release Notes of iRedAdmin-Pro-LDAP-1.6.0:
http://iredmail.org/wiki/index.php?titl … LDAP/1.6.0

Upgrade:
- You can upgrade iRedAdmin-Pro-LDAP v1.4.0, v1.4.1, v1.5.0 to 1.6.0 directly with this tutorial: Upgrade iRedAdmin-Pro-LDAP-1.5.0 to 1.6.0
- You can upgrade iRedAdmin-Pro-LDAP-1.3.0 to 1.6.0 directly with this tutorial: Upgrade iRedAdmin-Pro-LDAP-1.3.0 to 1.4.0, just replace version number '1.4.0' with '1.6.0'.

Thanks - i didn't see that! i will upgrade to 1.3 and then straight to 1.6 then!
the download link in your mail to us for 1.3 however does not seem to work anymore - could we have it resent?